searchData={"items":[{"type":"module","title":"Bun","doc":"Bun is an installer and runner for [bun](https://bun.sh).","ref":"Bun.html"},{"type":"module","title":"Profiles - Bun","doc":"You can define multiple bun profiles. By default, there is a\nprofile called `:default` which you can configure its args, current\ndirectory and environment:\n\n    config :bun,\n      version: \"1.1.34\",\n      default: [\n        args: ~w(build js/app.js  --outdir=../priv/static/assets),\n        cd: Path.expand(\"../assets\", __DIR__),\n        env: %{}\n      ]","ref":"Bun.html#module-profiles"},{"type":"module","title":"Bun configuration - Bun","doc":"There are two global configurations for the bun application:\n\n  * `:version` - the expected bun version\n\n  * `:cacerts_path` - the directory to find certificates for\n    https connections\n\n  * `:path` - the path to find the bun executable at. By\n    default, it is automatically downloaded and placed inside\n    the `_build` directory of your current app\n\nOverriding the `:path` is not recommended, as we will automatically\ndownload and manage `bun` for you. But in case you can't download\nit (for example, the npm registry is behind a proxy), you may want to\nset the `:path` to a configurable system location.\n\nOnce you find the location of the executable, you can store it in a\n`MIX_BUN_PATH` environment variable, which you can then read in\nyour configuration file:\n\n    config :bun, path: System.get_env(\"MIX_BUN_PATH\")","ref":"Bun.html#module-bun-configuration"},{"type":"function","title":"Bun.bin_path/0","doc":"Returns the path to the executable.\n\nThe executable may not be available if it was not yet installed.","ref":"Bun.html#bin_path/0"},{"type":"function","title":"Bun.bin_version/0","doc":"Returns the version of the bun executable.\n\nReturns `{:ok, version_string}` on success or `:error` when the executable\nis not available.","ref":"Bun.html#bin_version/0"},{"type":"function","title":"Bun.config_for!/1","doc":"Returns the configuration for the given profile.\n\nReturns nil if the profile does not exist.","ref":"Bun.html#config_for!/1"},{"type":"function","title":"Bun.configured_version/0","doc":"Returns the configured bun version.","ref":"Bun.html#configured_version/0"},{"type":"function","title":"Bun.install/0","doc":"","ref":"Bun.html#install/0"},{"type":"function","title":"Bun.install_and_run/2","doc":"Installs, if not available, and then runs `bun`.\n\nReturns the same as `run/2`.","ref":"Bun.html#install_and_run/2"},{"type":"function","title":"Bun.run/2","doc":"Runs the given command with `args`.\n\nThe given args will be appended to the configured args.\nThe task output will be streamed directly to stdio. It\nreturns the status of the underlying call.","ref":"Bun.html#run/2"},{"type":"task","title":"mix bun","doc":"Invokes bun with the given args.\n\nUsage:\n\n    $ mix bun TASK_OPTIONS PROFILE BUN_ARGS\n\nExample:\n\n    $ mix bun default assets/js/app.js --outdir=priv/static/assets\n\nIf bun is not installed, it is automatically downloaded.\nNote the arguments given to this task will be appended\nto any configured arguments.","ref":"Mix.Tasks.Bun.html"},{"type":"task","title":"mix bun.install","doc":"Installs bun under `_build`.\n\n```bash\n$ mix bun.install\n$ mix bun.install --if-missing\n```\n\nBy default, it installs 1.1.34 but you\ncan configure it in your config files, such as:\n\n    config :bun, :version, \"1.1.34\"","ref":"Mix.Tasks.Bun.Install.html"},{"type":"task","title":"Options - mix bun.install","doc":"* `--if-missing` - install only if the given version\n      does not exist","ref":"Mix.Tasks.Bun.Install.html#module-options"},{"type":"extras","title":"Changelog","doc":"# Changelog\n\nPlease see [our GitHub \"Releases\" page](https://github.com/crbelaus/bun/releases).","ref":"changelog.html"}],"content_type":"text/markdown"}